<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class AccountCategory extends Model
{

    public function items()
    {
        return $this->hasMany(Item::class);
    }

    public function department()
    {
        return $this->belongsTo(Department::class);
    }

    public function author()
    {
        $user = $this->belongsTo(User::class, 'user_token', 'token')->first();
        return $user ? $user->name : "System";
    }

    public function isMine()
    {
        return $this->cong_token == Auth::user()->cong_token;
    }

    static function mine()
    {
        return Category::whereCongToken(Auth::user()->cong_token)->get();
    }

    public static function me()
    {
        return Category::whereCongToken(Auth::user()->cong_token);
    }

    public function subcategories() {
        return $this->hasMany(AccountSubcategory::class);
    }
}
