<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class AccountSubcategory extends Model
{
    protected $fillable = ['name', 'slug', 'account_category_id'];

    public function category()
    {
        return $this->belongsTo(AccountCategory::class, 'account_category_id');
    }

    public function deposits()
    {
        return $this->hasMany(Deposit::class);
    }

    public function withdrawal()
    {
        return $this->hasMany(Withdrawal::class);
    }
}
