<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{

    static $DEFAULT_COLOUR = "4278430196"; // Blue

    protected $casts = [
        'tracked' => 'boolean'
    ];

    public function getColourAttribute()
    {
        return $this->attributes['colour'] ?? Category::$DEFAULT_COLOUR;
    }

    public function items()
    {
        return $this->hasMany(Item::class);
    }

    public function department()
    {
        return $this->belongsTo(Department::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

}
