<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\File;

class ClearTemporaryStorageCommand extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tmp:clear';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Clear storage temporary directory in Salamanda.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @param void
     * @return void
     */
    public function handle()
    {
        $dirs = ['/tmp'];

        foreach ($dirs as $dir) {
            if ($files = File::files(storage_path("app/public$dir"), true)) {
                File::delete($files);
                $this->info("Successfully cleared '$dir' directory");
            }
        }
        $this->info('[SLM] Command ran successfully');
    }

}
