<?php

namespace App\Console;

use App\Console\Commands\ClearTemporaryStorageCommand;
use App\Console\Commands\FSDirectories;
use App\Console\Commands\SessionAutoStart;
use App\Console\Commands\StorageLinkCommand;
use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        \Laravelista\LumenVendorPublish\VendorPublishCommand::class,
        // SessionAutoStart::class,
        StorageLinkCommand::class,
        FSDirectories::class,
        ClearTemporaryStorageCommand::class,
    ];

    /**
     * Define the application's command schedule.
     *
     * @param \Illuminate\Console\Scheduling\Schedule $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->call("session:auto")->hourly();
        $schedule->command('tmp:clear')->lastDayOfMonth();
    }
}
