<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Customer extends Model
{

    protected $fillable = ['name', 'status', 'user_id', 'price_list_id'];

    protected $casts = [
        'buy_on_credit' => 'boolean',
        'state' => 'boolean'
    ];

    // protected $appends = ['photo', 'photo_thumbnail'];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    public function price_list(): BelongsTo
    {
        return $this->belongsTo(PriceList::class);
    }

    public function setPhotoAttribute(): string
    {
        return '';
    }

    public function setPhotoThumbnailAttribute(): string
    {
        return '';
    }
}
