<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Debt extends Model
{
    use SoftDeletes;
    protected $fillable = ['state', 'balance', 'amount'];
    public function type()
    {
        return $this->belongsTo(DebtType::class, 'type_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }
    public function employee()
    {
        return $this->belongsTo(Employee::class)->select('id', 'name', 'bound_user_id');
    }
}
