<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

//use Illuminate\Support\Facades\App;

class Department extends Model
{

    protected $fillable = ["settings"];

    protected $casts = [
        "settings" => "array"
    ];

    protected $attributes = [
        "settings" => '{"print_order_on_save": true, "print_order_on_update": true, "print_invoice_on_save": true}'
    ];

    protected function castAttribute($key, $value)
    {
        if ($key === "settings" && $this->getCastType($key) == 'array' && ($value === "" || is_null($value))) {
            return parent::castAttribute($key, '{
                "print_order_on_save": true,
                "print_order_on_update": true,
                "print_invoice_on_save": true
            }');
        }
        return parent::castAttribute($key, $value);
    }

    public function user() {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }
    public function users() {
        return $this->hasMany(User::class)->select('id', 'name', 'username');
    }
    public function warehouse() {
        return $this->belongsTo(Warehouse::class);
    }
    public function stock() {
        return $this->hasMany(Stock::class);
    }

    public function sales_orders()
    {
        return $this->hasMany(SalesOrder::class,'department_id', 'id');// ->where('status', 1)
    }
}
