<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Employee extends Model
{

    protected $appends = ['bound_user'];

    public function type()
    {
        return $this->belongsTo(EmployeeType::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function debts() {
        return $this->hasMany(Debt::class);
    }

    public function all_debts() {
        return $this->hasMany(Debt::class);
    }

    public function getBoundUserAttribute()
    {
        return User::select(['id', 'name', 'department_id', 'username', 'photo'])->find($this->bound_user_id);
    }
}
