<?php

namespace App\Http\Controllers;
use App\Deposit;
use App\Account;
use App\AccountCategory;
use App\Item;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AccountCategoryController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getCategories() {
        return response()->json([
            'status' => 'success',
            'data' => AccountCategory::with(['subcategories'])->latest()->get()
        ], 200);
    }

    public function createCategory(Request $request) {
        $this->validate($request, [
            'name' => 'required',
        ], [
            'name.required' => 'Please Provide a name'
        ]);
        $category = new AccountCategory();
        $category->name = $request->input('name');
        $category->slug = str_replace(" ", "_", strtolower($request->input('name')));
        $category->save();

        return response()->json([
            'status' => 'success',
            'data' => $category
        ], 200);
    }

    public function updateCategory($id, Request $request) {
        $this->validate($request, [
            'name' => 'required',
        ], [
            'name.required' => 'Please Provide a name'
        ]);
        $category = AccountCategory::find($id);
        $category->name = $request->input('name');
        $category->slug = str_replace(" ", "_", strtolower($request->input('name')));
        $category->update();

        return response()->json([
            'status' => 'success',
            'data' => $category
        ], 200);
    }


    public function getCategorySummary($id) {
        return response()->json([
            'status' => 'success',
            'data' => AccountCategory::withCount(['subcategories as total' => function($query) {
                return $query->select(DB::raw('sum(amount)'));
            }])->find($id)
        ], 200);
    }
}
