<?php

namespace App\Http\Controllers;
use App\Deposit;
use App\Account;
use App\AccountCategory;
use App\AccountSubcategory;
use App\Item;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AccountSubcategoryController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getSubcategories($id) {
        return response()->json([
            'status' => 'success',
            'data' => AccountCategory::find($id)->subcategories
        ], 200);
    }

    public function getAllSubcategories() {
        return response()->json([
            'status' => 'success',
            'data' => AccountSubcategory::latest()->get()
        ], 200);
    }

    public function createSubcategory($id, Request $request) {
        $this->validate($request, [
            'name' => 'required'
        ], [
            'name.required' => 'Please Provide a name'
        ]);
        $subcategory = new AccountSubcategory([
            'name' => $request->input('name'),
            'slug' => str_replace(" ", "_", strtolower($request->input('name')))
        ]);
        $category = AccountCategory::find($id);
        $category->subcategories()->save($subcategory);
        $subcategory->refresh();

        return response()->json([
            'status' => 'success',
            'data' => $subcategory
        ], 200);
    }

    public function updateSubcategory($sub_id, Request $request) {
        $this->validate($request, [
            'name' => 'required'
        ], [
            'name.required' => 'Please Provide a name'
        ]);
        $subcategory = AccountSubcategory::find($sub_id);
        $subcategory->name = $request->input('name');
        $subcategory->update();

        return response()->json([
            'status' => 'success',
            'data' => $subcategory
        ], 200);
    }
}
