<?php

namespace App\Http\Controllers;

use App\Config;
use App\DefaultMessage;
use \Illuminate\Http\Request;

class ConfigController extends Controller
{
    public function __construct()
    {
    }

    public function getDefaultMessages()
    {
        $messages = DefaultMessage::all();
        return response()->json([
            'status' => 'success',
            'data' => $messages
        ]);
    }

    public function setDefaultMessage($id, Request $request)
    {
        $message = DefaultMessage::find($id);
        if ($message) {
            $message->message = $request->input('use_default') ? $message->default : $request->input('message');
            $message->update();
        }
        return response()->json([
            'status' => 'success',
            'data' => $message
        ]);
    }

    public function getConfig()
    {
        $config = auth()->user()->getConfig();
        if (!$config) {
            $config = new Config();
            $config->save();
        }
        return response()->json([
            'status' => 'success',
            'data' => $config
        ]);
    }

    public function setConfig(Request $request)
    {
        $config = auth()->user()->getConfig();
        if (!$config) {
            $config = new Config();
            $config->save();
        }
        switch ($request->mode) {
            case 'photo':

                break;
            case 'org':
                // $config->company_name = $request->input('data.name');
                $config->company_address = $request->input('data.address');
                $config->company_phone = $request->input('data.phone');
                $config->company_other_address = $request->input('data.address2');
                $config->company_email = $request->input('data.email');
                $config->salary_payment = $request->input('data.salary_payment') ?: null;
                $config->company_website = $request->input('data.website');
                break;
            case 'reg':
                $config->company_reg_no = $request->input('data.reg_no');
                break;
        }
        $config->update();
        return response()->json([
            'status' => 'success',
            'data' => $config
        ]);
    }
}
