<?php

namespace App\Http\Controllers;

use App\Account;
use App\AccountSubcategory;
use App\Deposit;
use Illuminate\Http\Request;

class DepositController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getDeposits()
    {
        return response()->json([
            'status' => 200,
            'data' => Deposit::with(['user', 'subcategory.category'])->latest()->get()
        ], 200);
    }

    public function makeDeposit(Request $request)
    {
        $this->validate($request, [
            'amount' => 'required',
            'message' => 'required',
            'date' => 'required|date',
            'subcategory_id' => 'required|exists:account_subcategories,id'
        ], [
            'name.amount' => 'Please Provide an amount'
        ]);

        $deposit = new Deposit();
        $deposit->amount = $request->input('amount');
        $deposit->message = $request->input('message');
        $deposit->date = $request->input('date');
        $deposit->account_subcategory_id = $request->input('subcategory_id');
        $deposit->user_id = auth()->id();
        $deposit->save();

        $account = Account::where('status', 1)->first();
        $account->increment('amount', $request->input('amount'));

        $sub_category = AccountSubcategory::find($request->input('subcategory_id'));
        $sub_category->increment('amount', $request->input('amount'));

        return response()->json([
            'status' => 'success',
            'data' => Deposit::with(['subcategory.category', 'user'])->find($deposit->id)
        ]);

    }
}
