<?php

namespace App\Http\Controllers;

use App\Discount;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Validation\ValidationException;

class DiscountController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }


    public function index(): JsonResponse
    {
        $discounts = Discount::with('user')->get();
        return response()->json([
            'status' => 'success',
            'data' => $discounts
        ]);
    }

    /**
     * @throws ValidationException
     */
    public function store(Request $request): JsonResponse
    {

        $this->validate($request, [
            'name' => 'required',
            'value' => 'required|numeric',
            'type' => 'required',
        ]);

        $discount = new Discount();
        $discount->name = $request->input('name');
        $discount->value = $request->input('value');
        $discount->type = $request->input('type');
        $discount->user_id = auth()->id();
        $discount->save();

        return response()->json([
            'status' => 'success',
            'data' => $discount->load('user')->refresh()
        ]);
    }

    /**
     * @throws ValidationException
     */
    public function update($id, Request $request): JsonResponse
    {
        $this->validate($request, [
            'name' => 'required',
            'value' => 'required|numeric',
            'type' => 'required'
        ]);
        $discount = Discount::where('id', $id)->first();

        $discount->update($request->all());

        return response()->json([
            'status' => 'success',
            'data' => $discount->refresh()
        ]);

    }

    public function destroy($id): JsonResponse
    {
        $discount = Discount::find($id);
        $discount->delete();
        return response()->json([
            'status' => 'success'
        ], 200);
    }


}
