<?php

namespace App\Http\Controllers;
use App\EmployeePayment;
use Illuminate\Http\Request;

class EmployeePaymentController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getEmployeePayments() {
        return response()->json([
            'status' => 'success',
            'data' => EmployeePayment::with('user')->get()
        ], 200);
    }

    public function getPayment($id) {
        return response()->json([
            'status' => 'success',
            'data' => EmployeePayment::find($id)
        ], 200);
    }

    public function getEmployeePayment($id) {
        return response()->json([
            'status' => 'success',
            'data' => EmployeePayment::where('employee_id', $id)->with('user')->get()
        ], 200);
    }

    public function createEmployeePayment(Request $request) {
        $this->validate($request, [
            'employee_id' => 'required',
            'amount' => 'required',
            'message' => 'required',
            'type' => 'required|string', // incoming or outgoing
            'date' => 'required|date'
        ], [
            'employee_id.required' => 'Please select an employee',
            'amount.required' => 'Please provide an amount',
            'message.required' => 'Please give a message for this payment',
        ]);
        $employee_payment = new EmployeePayment();
        $employee_payment->employee_id = $request->input('employee_id');
        $employee_payment->amount = $request->input('amount');
        $employee_payment->type = $request->type;
        $employee_payment->message = $request->input('message');
        $employee_payment->date = $request->input('date');
        $employee_payment->user_id = auth()->id();

        $employee_payment->save();

        return response()->json([
            'status' => 'success',
            'category' => $employee_payment
        ], 200);
    }
}
