<?php

namespace App\Http\Controllers;
use App\EmployeeType;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EmployeeTypeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getTypes() {
        return response()->json([
            'status' => 'success',
            'data' => EmployeeType::with('user')->get()
        ], 200);
    }

    public function getType($id) {
        return response()->json([
            'status' => 'success',
            'data' => EmployeeType::with('user')->find($id)
        ], 200);
    }

    public function createType(Request $request) {
        $this->validate($request, [
            'name' => 'required',
            'description' => 'required',
            'salary' => 'required',
            'dynamic_salary' => 'required|boolean'
        ], [
            'name.required' => 'Please Provide a name',
            'salary.required' => 'Please Provide a general salary',
            'description.required' => 'Please Provide a brief description',
            'dynamic_salary.required' => 'Please, say whether the salary would be calculated'
        ]);
        $employee_type = new EmployeeType();
        $employee_type->name = $request->input('name');
        $employee_type->description = $request->input('description');
        $employee_type->salary = $request->input('salary');
        $employee_type->user_id = Auth::id();
        $employee_type->dynamic_salary = $request->input('dynamic_salary');

        $employee_type->save();

        return response()->json([
            'status' => 'success',
            'data' => EmployeeType::with('user')->find($employee_type->id)
        ], 200);
    }

    public function updateType($id, Request $request) {
        $this->validate($request, [
            'name' => 'required',
            'description' => 'required',
            'salary' => 'required',
            'dynamic_salary' => 'required|boolean'
        ], [
            'name.required' => 'Please, Provide a name',
            'salary.required' => 'Please, Provide a general salary',
            'description.required' => 'Please, Provide a brief description',
            'dynamic_salary.required' => 'Please, say whether the salary would be calculated'
        ]);
        $employee_type = EmployeeType::with('user')->find($id);
        $employee_type->name = $request->input('name');
        $employee_type->description = $request->input('description');
        $employee_type->salary = $request->input('salary');
        $employee_type->dynamic_salary = $request->input('dynamic_salary');
        $employee_type->user_id = Auth::id();

        $employee_type->update();
        $employee_type->refresh();

        return response()->json([
            'status' => 'success',
            'data' => $employee_type
        ], 200);
    }

}
