<?php

namespace App\Http\Controllers;

use App\ItemModifier;
use Illuminate\Http\Request;

class ItemModifierController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }


    public function index()
    {
        $item_modifiers = ItemModifier::with('modifier')->get();
        return response()->json([
            'status' => 'success',
            'data' => $item_modifiers
        ]);
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'item_id' => 'required|numeric',
            'modifier_id' => 'required|numeric'
        ]);

        $item_modifier = new ItemModifier();
        $item_modifier->item_id = $request->input('item_id');
        $item_modifier->modifier_id = $request->input('modifier_id');
        $item_modifier->save();

        return response()->json([
            'status' => 'success',
            'data' => $item_modifier->refresh()
        ]);
    }

    public function destroy($id)
    {
        $item_modifier = ItemModifier::find($id);
        $item_modifier->delete();
        return response()->json([
            'status' => 'success',
            'data' => $item_modifier
        ], 200);
    }

}
