<?php

namespace App\Http\Controllers;
use App\Item;
use App\ItemSupply;
use App\User;
use Illuminate\Http\Request;

class ItemSupplyController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getItemSupplies() {
        return response()->json([
            'status' => 200,
            'data' => ItemSupply::all()
            ],200
        );
    }

    public function getItemSupplied($id) {
        return response()->json([
           'status' => 'success',
           'data' => ItemSupply::find($id)
        ], 200);
    }
    public function createItemSupplied(Request $request) {
        $this->validate($request, [
            'supplies_id' => 'required',
            'item_id' => 'required',
            'quantity' => 'required',
            'unit_price' => 'required',
            'total_cost' => 'required',
        ], [
           'quantity.required' => 'Please Provide an Item name.',
           'unit_price.required' => 'Items must have prices',
            'total_cost.required' => 'Please Specify a cost',
        ]);

        $itemSupplied = new ItemSupply();
        $itemSupplied->supplies_id = $request->input('supplies_id');
        $itemSupplied->item_id = $request->input('item_id');
        $itemSupplied->quantity = $request->input('quantity');
        $itemSupplied->unit_price = $request->input('unit_price');
        $itemSupplied->total_cost = $request->input('total_cost');

        $itemSupplied->save();
        return response()->json([
            'status' => 'success',
            'data' => $itemSupplied
        ]);
    }
}
