<?php

namespace App\Http\Controllers;

use App\ItemTax;
use Illuminate\Http\Request;

class ItemTaxController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }


    public function index()
    {
        $item_taxes = ItemTax::with('tax')->get();
        return response()->json([
            'status' => 'success',
            'data' => $item_taxes
        ]);
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'item_id' => 'required|numeric',
            'tax_id' => 'required|numeric'
        ]);

        $item_tax = new ItemTax();
        $item_tax->item_id = $request->input('item_id');
        $item_tax->tax_id = $request->input('tax_id');
        $item_tax->save();

        return response()->json([
            'status' => 'success',
            'data' => $item_tax->refresh()
        ]);
    }

    public function destroy($id)
    {
        $item_tax = ItemTax::find($id);
        $item_tax->delete();
        return response()->json([
            'status' => 'success',
            'data' => $item_tax
        ], 200);
    }

}
