<?php

namespace App\Http\Controllers;

use App\ItemVariant;
use App\VariantOption;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Schema;

class ItemVariantController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }


    public function index()
    {
        $item_variants = ItemVariant::with('item')->get();
        return response()->json([
            'status' => 'success',
            'data' => $item_variants
        ]);
    }

    public function getItemVariants($item_id)
    {
        $item_variants = ItemVariant::where('item_id', $item_id)->get();
        /*foreach ($item_variants as $item_variant){
            $item_variant["option_1_obj"] = VariantOption::find($item_variant->option_1);
            $item_variant["option_2_obj"] = VariantOption::find($item_variant->option_2);
            $item_variant["option_3_obj"] = VariantOption::find($item_variant->option_3);
        }*/
        return response()->json([
            'status' => 'success',
            'data' => $item_variants
        ]);
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'item_id' => 'required|numeric',
            'option_1' => 'required|numeric',
            'unit_price' => 'required|numeric',
            'purchase_price' => 'required|numeric'
        ]);

        $item_variant = new ItemVariant();
        $item_variant->item_id = $request->input('item_id');
        $item_variant->option_1 = $request->input('option_1');
        $item_variant->option_2 = $request->input('option_2');
        $item_variant->option_3 = $request->input('option_3');
        $item_variant->unit_price = $request->input('unit_price');
        $item_variant->purchase_price = $request->input('purchase_price');

        if (Schema::hasColumn('item_variants', 'code')) {
            $item_variant->code = get_next_ref('variant');
        }

        $item_variant->barcode = 0; // create barcode
        $item_variant->save();

        return response()->json([
            'status' => 'success',
            'data' => $item_variant->refresh()
        ]);
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'item_id' => 'required|numeric',
            'option_1' => 'required|numeric',
            'unit_price' => 'required|numeric',
            'purchase_price' => 'required|numeric'
        ]);
        $item_variant = ItemVariant::where('id', $id)->first();
        $item_variant->update($request->all());

        return response()->json([
            'status' => 'success',
            'data' => $item_variant->refresh()
        ]);

    }

    public function destroy($id)
    {
        $item_variant = ItemVariant::find($id);
        $item_variant->delete();
        return response()->json([
            'status' => 'success',
            'data' => $item_variant
        ], 200);
    }


}
