<?php

namespace App\Http\Controllers;

use App\Account;
use App\Deposit;
use App\Item;
use App\Payment;
use App\User;
use App\Withdrawal;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class PaymentController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getPayments()
    {
        return response()->json([
            'status' => 200,
            'data' => Payment::all()
        ], 200);
    }
    public function getPayment($id) {
        return response()->json([
            'status' => 'success',
            'data' => Payment::find($id)
        ], 200);
    }

    public function createPayment(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
        ], [
            'name.required' => 'Please Provide a name',
        ]);
        $payment = new Payment();
        $payment->name = $request->input('name');
        $payment->user_id = Auth::id();
        $payment->save();

        return response()->json([
            'status' => 'success',
            'data' => $payment
        ], 200);
    }

    public function changeStatus($id)
    {
        $payment = Payment::find($id);
        if ($payment) {
            $payment->state = !$payment->state;
            $payment->update();
            $payment->refresh();
        }
        return response()->json([
            'status' => 'success',
            'message' => "All done",
            'data' => $payment
        ]);
    }

    public function delete($id)
    {
        $payment = Payment::find($id);
        if ($payment->delete()) {
            return response()->json([
                'status' => 'success'
            ]);
        }
        return response()->json([
            'status' => 'error'
        ], 405);
    }


}
