<?php

namespace App\Http\Controllers;

use App\Config;
use App\Item;
use App\Sale;
use App\SalesOrder;
use App\SalesOrderItem;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PrintController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
    }

    public function printSalesOrder($id)
    {
        $sale_order = SalesOrder::with(['user', 'items.item', 'service', 'customer'])->find($id);
        $company = Config::latest()->first();
        return response()->json([
            'status' => 'success',
            'data' => ["sale_order" => $sale_order, "company_info" => $company]
        ], 200);
    }

    public function printSale($id)
    {
        $sale_order = Sale::with(['user.department', 'items.item', 'service', 'customer', 'payments'])->find($id);
        $company = Config::latest()->first();
        return response()->json([
            'status' => 'success',
            'data' => ["sale" => $sale_order, "company_info" => $company]
        ], 200);
    }

}
