<?php

namespace App\Http\Controllers;

use App\SalesOrder;
use App\SalesOrderItem;
use Illuminate\Http\Request;

class SaleOrderItemController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
    }

    public function index()
    {
        $sale_order_item = SalesOrderItem::with(['user', 'items'])->latest()->limit(100)->get();
        return response()->json([
            'status' => 200,
            'data' => $sale_order_item,
        ],200);

    }

    public function getSaleOrderItem($id)
    {
        return response()->json([
            'status' => 'success',
            'data' => SalesOrderItem::whereId($id)->with(['user', 'items'])
        ], 200);
    }

    public function create(Request $request)
    {
        $sale_order_item_item = new SalesOrderItem();
        $sale_order_item_item->item_id = $request->input('item_id');
        $sale_order_item_item->quqntity = $request->input('quantity');
        $sale_order_item_item->unit_price = $request->input('unit_price');
        $sale_order_item_item->sale_order_id = $request->input('sale_order_id');
        $sale_order_item_item->session_id = $request->input('session_id');
        $sale_order_item_item->save();
        return response()->json([
            'status' => 'success',
            'data' => $sale_order_item_item
        ], 200);
    }

    public function delete($id)
    {
        $sale_order_item_item = SalesOrderItem::find($id);
        if ($sale_order_item_item->delete()) {
            return response()->json([
                'status' => 'success',
                'data' => $sale_order_item_item
            ]);
        }
        return response()->json([
            'status' => 'error'
        ], 405);
    }

    public function update(Request $request, $id)
    {
        $sale_order_item = SalesOrder::find($id);
        if ($sale_order_item->id) {
            $sale_order_item->quantity = $request->input('quantity');
            $sale_order_item->item_id = $request->input('item_id');
            $sale_order_item->unit_price = $request->input('unit_price');

            if ($sale_order_item->update()) {
                $message = 'Sales order updated';
                return response()->json([
                    'status' => 'success',
                    'message' => $message,
                    'data' => SalesOrder::with(['user', 'items',])->first()
                ], 200);
            }
            return response()->json([
                'status' => 'error',
                'message' => 'Error encountered! Please try again.'
            ]);
        }

        $message = 'Sales order not updated';
        return response()->json([
            'status' => 'error',
            'message' => $message
        ]);
    }

}
