<?php

namespace App\Http\Controllers;

use App\Item;
use App\Stock;
use App\User;
use App\Warehouse;
use Illuminate\Http\Request;

class StockController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function fetchStock()
    {
        return response()->json([
            'status' => 200,
            'data' => Stock::all()
        ], 200);
    }


    public function addStock($item_id, $quantity, $department_id)
    {
//        $this->validate($request, [
//            'item_id' => 'required',
//            'quantity' => 'required',
//            'unit_type' => 'required',
//        ], [
//           'name.required' => 'Please Provide an Item name.',
//           'quantity.required' => 'Please add quantity',
//            'unit_type.required' => 'Please Specify a unit type',
//        ]);

        $stock = new Stock();
        $stock->item_id = $item_id;
        $stock->quantity = $quantity;
        $stock->department_id = $department_id;

        $stock->save();
        return response()->json([
            'status' => 'success',
            'data' => $stock
        ]);
    }

    public function updateStock($item, $department_id, $from = 0)
    {

//        foreach ($items as $item) {

        $stock = Stock::where('item_id', $item['id'] and 'department_id', $department_id);

//        Create a transfer record for each item
        if (!$from) {
            $transferCtrl = new TransferController();
            $transferCtrl->transferItem($item, $department_id, $from);
        }

        if ($stock->exists()) {
            $stock->increment('quantity', $item['quantity']);
        } else {
            $stock = new Stock();
            $stock->item_id = $item['id'];
            $stock->quantity = $item['quantity'];
            $stock->department_id = $department_id;

            $stock->save();
        }
//        }
        return response()->json([
            'status' => 'success',
            // 'data' => $stock
        ], 200);
    }

    public function removeStock($item, $department_id)
    {
        $stock = Stock::where('item_id', $item['id'] and 'department_id', $department_id);

        if ($stock->exists()) {
            $stock->decrement('quantity', $item['quantity']);
        } else {
            return response()->json([
                'status' => 'error'
            ]);
        }
        return response()->json([
            'status' => 'success',
        ], 200);
    }
}
