<?php

namespace App\Http\Controllers;
use App\Account;
use App\AccountSubcategory;
use App\Withdrawal;
use Illuminate\Http\Request;

class WithdrawalController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getWithdrawals()
    {
        return response()->json([
            'status' => 200,
            'data' => Withdrawal::with(['user', 'subcategory.category'])->latest()->get()
        ], 200);
    }

    public function makeWithdrawal(Request $request) {
        $this->validate($request, [
            'amount' => 'required',
            'subcategory_id' => 'required|exists:account_subcategories,id',
            'date' => 'required|date'
        ], [
            'name.amount' => 'Please Provide an amount'
        ]);

        $withdrawal = new Withdrawal();
        $withdrawal->amount = $request->input('amount');
        $withdrawal->message = $request->input('message');
        $withdrawal->account_subcategory_id = $request->input('subcategory_id');
        $withdrawal->date = $request->input('date');
        $withdrawal->user_id = auth()->id();
        $withdrawal->save();

        $account = Account::where('status', 1)->first();
        $account->decrement('amount', $request->input('amount'));

        $subcategory = AccountSubcategory::find($request->input('subcategory_id'));
        $subcategory->decrement('amount', $request->input('amount'));

        return response()->json([
            'status' => 'success',
            'data' => Withdrawal::with(['user', 'subcategory.category'])->find($withdrawal->id)
        ]);

    }
}
