<?php


use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

if (!function_exists('get_reference')) {
    function get_reference($value, $key = 'module')
    {
        return DB::table('references')->where($key, $value)->first();
    }
}

if (!function_exists('get_next_ref')) {
    function get_next_ref($value, $key = 'module')
    {
        $ref = get_reference($value, $key);
        if ($ref) {
            $code = $ref->ref;
            $prefix = preg_replace('~[0-9]+$~', '', $code);
            $nums = filter_var($code, FILTER_SANITIZE_NUMBER_INT);
            $last = DB::table($ref->table)->latest()->select('code')->first();
            if ($last && $last->code) {
                // Log::debug($last->code);
                $next_num = (int)preg_replace('~[\D]+~', '', $last->code) + 1; // filter_var($last->code, FILTER_VALIDATE_INT) + 1;
                // Log::debug($next_num);
            } else {
                $next_num = $nums + 1;
            }

            return $prefix . str_pad((string)$next_num, strlen($code) - strlen($prefix), "0", STR_PAD_LEFT);
        }
        return null;
    }
}
