<?php

namespace App;

use Auth;
use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    protected $casts = [
        'quantity' => 'double',
        'item_id' => 'int',
        'unit_price' => 'double'
    ];
    protected $fillable = ['item_id', 'quantity', 'user_id', 'service_id'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function item()
    {
        return $this->belongsTo(Item::class);
    }

    public function service()
    {
        return $this->belongsTo(Service::class)->withTrashed();
    }

}
