<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ItemHistory extends Model
{
    protected $fillable = ['date', 'reference', 'details', 'in', 'out', 'cost_price', 'sales_price', 'user_id'];
    protected $casts = [
        'date' => 'date'
    ];
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }
}
