<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class ItemStockAdjustment extends Model
{
    protected $table = 'item_stock_adjustment';
    protected $fillable = ['item_id', 'to', 'from', 'unit_price', 'avr_purchase_price', 'stock_adjustment_id'];

    protected $appends = ['changed'];

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class)->select('id', 'name', 'code', 'unit_price');
    }

    public function stock_adjustment(): HasOne
    {
        return $this->hasOne(ItemStockAdjustment::class);
    }

    public function getChangedAttribute(): bool
    {
        return $this->attributes['from'] != $this->attributes['to'];
    }
}
