<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ItemSupply extends Model
{
    protected $fillable = ['supply_id', 'item_id', 'total_cost', 'unit_price', 'quantity'];

    public function supplier()
    {
        return $this->belongsTo(Supplier::class);
    }

    public function item()
    {
        return $this->hasOne(Item::class, 'id', 'item_id');
    }

    public function supply()
    {
        return $this->belongsTo(Supply::class);
    }
}
