<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ItemVariant extends Model
{
    protected $fillable = [
        'item_id', 'option_1', 'option_2', 'option_3', 'name',
        'unit_price', 'purchase_price', 'code', 'barcode'
    ];

    protected $with = ['option_1_obj', 'option_2_obj', 'option_3_obj'];

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }

    public function option_1_obj(): BelongsTo
    {
        return $this->belongsTo(VariantOption::class, 'option_1', 'id');
    }

    public function option_2_obj(): BelongsTo
    {
        return $this->belongsTo(VariantOption::class, 'option_2', 'id');
    }

    public function option_3_obj(): BelongsTo
    {
        return $this->belongsTo(VariantOption::class);
    }

    /* public function getOptionsAttribute()
    {
        return $this->with(['options_1', 'options_2', 'options_3'])->get();
    } */
}
