<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PaymentMethod extends Model
{

    protected $casts = [
        'status' => 'boolean',
        'default' => 'boolean',
    ];

    public function user() {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function sales()
    {
        return $this->belongsToMany(Sale::class,'payment_method_sale', 'payment_method_id', 'sale_id', 'id');
    }

    public function setNameAttribute($value)
    {
        $this->attributes['name'] = ucwords($value);
    }

    public function scopeActive($query)
    {
        return $query->where('status', true);
    }

    public function scopeDefault($query)
    {
        return $query->where('default', true);
    }
}
