<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Auth;

class Reference extends Model
{

	protected $fillable = [
		'ref', 'module', 'table', 'model'
	];

	public function permissions()
	{
		return $this->belongsToMany(Permission::class);
	}

	public function user ()
	{
		return $this->belongsTo(User::class);
	}

	public function users ()
	{
		return $this->belongsToMany(User::class);
	}

	public function hasPermission ($permission)
	{
		return in_array($permission, $this->permissions->pluck('slug'));
	}

	public static function any($role)
	{
		return DB::table('role_user')->whereRoleToken($role)->exists();
	}
}
