<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Sale extends Model
{

    public function items(): BelongsToMany
    {
        return $this->belongsToMany(Invoice::class, 'sale_invoice', 'sale_id', 'invoice_id');
    }

    public function payments(): BelongsToMany
    {
        return $this->belongsToMany(PaymentMethod::class, 'payment_method_sale', 'sale_id', 'payment_method_id')->withPivot(['amount']);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    public function cashier(): BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class);
    }

    public function session(): BelongsTo
    {
        return $this->belongsTo(Session::class);
    }

    public function service(): BelongsTo
    {
        return $this->belongsTo(User::class, 'service_id', 'id');
    }
}
