<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Auth;

class Session extends Model
{

    protected $fillable = [];
    protected $dates = ['created_at', 'updated_at', 'closed_on'];

    public function opener()
    {
        return $this->hasOne(User::class, 'id', 'opener_id');
    }

    public function closer()
    {
        return $this->hasOne(User::class, 'id', 'closer_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function department()
    {
        return $this->belongsTo(Department::class);
    }

    public function invoices()
    {
        return $this->hasMany(Invoice::class);
    }

    public function sales()
    {
        return $this->hasMany(Sale::class);
    }

    public function getStatusAttribute($status)
    {
        return (bool)$status;
    }

}
