<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
    protected $dates = [];

    public function user()
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function supplies()
    {
        return $this->hasMany(Supply::class);
    }

    public function payments()
    {
        return $this->hasMany(SupplierPayment::class);
    }

    public function supplierPayment()
    {
        return $this->hasMany(SupplierPayment::class);
    }
}
