<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{
    protected $fillable = ['item_id', 'quantity', 'from_id', 'to_id', 'user_id', 'updated_at', 'created_at'];

    public function user()
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function from()
    {
        return $this->belongsTo(Warehouse::class, 'from_id', 'id');
    }

    public function to()
    {
        return $this->belongsTo(Warehouse::class, 'to_id', 'id');
    }

    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id');
    }
}
