<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Variant extends Model
{
    protected $fillable = [
        'name', 'item_id', 'user_id'
    ];

    protected static function booted()
    {
        static::deleting(function (Variant $variant) {
            $variant->options()->delete();
        });
    }

    public function options(): HasMany
    {
        return $this->hasMany(VariantOption::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }
}
