<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class VariantOption extends Model
{
    protected $fillable = [
        'name', 'variant_id'
    ];

    protected static function booted()
    {
        static::deleting(function (VariantOption $option) {
            ItemVariant::where('option_1', $option->id)->orWhere('option_2', $option->id)->orWhere('option_3', $option->id)->delete();
        });
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function variant(): BelongsTo
    {
        return $this->belongsTo(Variant::class);
    }
}
