<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Warehouse extends Model
{
    protected $fillable = ['name', 'description', 'user_id'];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class)->select('id', 'name', 'username');
    }

    public function items(): BelongsToMany
    {
        return $this->belongsToMany(Item::class, 'stocks', 'warehouse_id', 'item_id')->withPivot('quantity', 'selling_price', 'state');
    }

    public function stock(): BelongsToMany
    {
        return $this->belongsToMany(Item::class, 'stocks', 'warehouse_id', 'item_id')->withPivot('quantity', 'selling_price', 'state');
    }

    public function item($id): BelongsToMany
    {
        return $this->belongsToMany(Item::class, 'stocks')->withPivot('quantity', 'selling_price', 'state')->wherePivot('item_id', $id);
    }
}
