<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('username')->unique();
            $table->string('password');
            $table->string('email')->nullable();
            $table->string('photo')->default('/images/default_avatar.png');
            $table->timestamp('last_login')->nullable();
            $table->string('lang')->default('en');
            $table->boolean('active')->default(true);


            $table->string('creator_id')->default(0);
            $table->string('photo_thumbnail')->default('/images/default_avatar.png');
            $table->boolean('is_admin')->default(false);
            $table->unsignedInteger('department_id')->default(0);
            $table->softDeletes();
            $table->rememberToken();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
