<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('items', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('code')->nullable();
            $table->longText('description')->nullable();
            $table->unsignedFloat('unit_price')->nullable();
            $table->foreignId('user_id');
            $table->foreignId('category_id');
            $table->unsignedFloat('purchase_price')->nullable();
            $table->integer('supplier_id')->nullable();

            $table->unsignedInteger('reorder_level')->default(0)->nullable();
            $table->double('optimal_order')->default(0)->nullable(); // New Field

            $table->boolean('sellable')->default(true); // New Field
            $table->enum('sell_by', ['each', 'measure'])->default('each'); // New Field

            $table->string('unit_type')->nullable();

            $table->enum('item_type', ['product', 'service'])->default('product');

            $table->string('barcode')->nullable();

            /// @todo New Field
            $table->string('colour')->nullable();

            /// @todo New Field 12/08/2024
            $table->boolean('tracked')->default(false);

            $table->string('image')->nullable();

            $table->boolean('state')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('items');
    }
}
