<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateSalesOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // Schema::rename('sales_orders', 'sales_order');
        Schema::table('sales_orders', function (Blueprint $table) {

            $table->renameColumn('user_id', 'owner_id');
            $table->renameColumn('service_id', 'creator_id');

            $table->string('label')->nullable();
            $table->double('total')->default(0);
            $table->string('comment')->nullable();
            $table->unsignedInteger('department_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        // Schema::rename('sales_order', 'sales_orders');
        Schema::table('sales_orders', function (Blueprint $table) {
            //
            $table->renameColumn('owner_id', 'user_id');
            $table->renameColumn('creator_id', 'service_id');

            $table->dropColumn('label');
            $table->dropColumn('total');
            $table->dropColumn('comment');
            $table->dropColumn('department_id');
        });
    }
}
