<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemVariantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('item_variants', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable(); // New Field 05/08/2024
            $table->unsignedInteger('item_id');
            $table->unsignedInteger('option_1');
            $table->unsignedInteger('option_2')->nullable();
            $table->unsignedInteger('option_3')->nullable();
            $table->double('unit_price');
            $table->double('purchase_price')->nullable();
            $table->string('code')->nullable();
            $table->string('barcode')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('item_variants');
    }
}
