<?php

use App\AccountCategory;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AccountCategoriesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('account_categories')->truncate();
        DB::table('account_subcategories')->truncate();
        $categories = [
            [
                'name' => 'Payment',
                'slug' => 'payment',
                'subcategories' => [
                    [
                        'name' => 'Supplier',
                        'slug' => 'supplier'
                    ],
                    [
                        'name' => 'Salary',
                        'slug' => 'salary'
                    ]
                ]
            ],
            [
                'name' => 'Bills',
                'slug' => 'bills',
                'subcategories' => [
                    [
                        'name' => 'Electricity',
                        'slug' => 'electricity'
                    ],
                    [
                        'name' => 'Water',
                        'slug' => 'water'
                    ],
                    [
                        'name' => 'Internet',
                        'slug' => 'internet'
                    ],
                ]
            ],
            [
                'name' => 'Department',
                'slug' => 'department',
                'subcategories' => []
            ],
            [
                'name' => 'Miscellaneous',
                'slug' => 'miscellaneous',
                'subcategories' => [
                    [
                        'name' => 'Accessories',
                        'slug' => 'accessories'
                    ],
                    [
                        'name' => 'Debts',
                        'slug' => 'debts'
                    ]
                ]
            ]
        ];
        foreach ($categories as $category) {
            $cat = new AccountCategory();
            $cat->name = $category['name'];
            $cat->slug = $category['slug'];
            $cat->save();
            if (count($category['subcategories']))
                $cat->subcategories()->createMany(
                    array_map(function ($sub) {
                        return [
                            'name' => $sub['name'],
                            'slug' => $sub['slug'],
                        ];
                    }, $category['subcategories'])
                );
        }
        /*factory('App\AccountCategory', 3)->create()
            ->each(function ($categories) {
                $categories->sub_categories()->createMany(
                    factory(App\AccountSubcategory::class, 2)->make()->toArray()
                )->each(function ($categories) {
                    $categories->withdrawal()->createMany(
                        factory(\App\Withdrawal::class, 5)->make()->toArray(),
                        $categories->deposits()->createMany(
                            factory(\App\Deposit::class, 5)->make()->toArray()
                        ));
                });
            });*/
    }
}
