<?php

use App\DefaultMessage;
use Illuminate\Database\Seeder;

class DefaultMessagesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DefaultMessage::insert([
            [
                'module' => 'item_purchase',
                'default' => 'Purchase invoice from {supplier}',
                'description' => "Applies when an item is purchased from a supplier. <br>
                                    Use {supplier} for name of supplier<br>
                                    Use {item} for item name<br>
                                    Use {item_ref} for item reference<br>
                                    Use {inv_ref} for invoice reference<br>
                                    Use {quantity} for item quantity<br>
                                    {date} for date supplied<br>
                                    {created} for date registered.",
                'message' => 'Purchase invoice from {supplier}.',
                'details' => json_encode([])
            ],
            [
                'module' => 'item_sale',
                'default' => 'Sales invoice to {customer}',
                'description' => "Applies when an item is sold to a customer. <br>
                                    Use {customer} for name of supplier<br>
                                    Use {item} for item name<br>
                                    Use {quantity} for item quantity<br>
                                    Use {item_ref} for item reference<br>
                                    Use {sales_ref} for sales reference<br>
                                    {created} for date registered.",
                'message' => 'Sales invoice to {customer}.',
                'details' => json_encode([])
            ]
        ]);
    }
}
