<?php

use App\ItemPriceList;
use App\PriceList;
use Illuminate\Database\Seeder;

class PriceListsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        PriceList::truncate();
        ItemPriceList::truncate();
        PriceList::insert([
            [
                'name' => 'Default Sales Price',
                'user_id' => 0,
                'system' => 1,
                'position' => 0
            ],
//            [
//                'name' => 'Wholesale Price List',
//                'user_id' => 1,
//                'system' => 1
//            ],
//            [
//                'name' => 'Trade Price List',
//                'user_id' => 1,
//                'system' => 1
//            ]
        ]);
        $pairs = [];
        foreach (\App\Item::all(['id', 'unit_price'])->pluck('unit_price', 'id') as $id => $price) {
            array_push($pairs, ['price_list_id' => 1, 'item_id' => $id, 'price' => $price]);
        }
        ItemPriceList::insert($pairs);
    }
}
