<?php

use App\Reference;
use Illuminate\Database\Seeder;

class ReferencesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Reference::insert([
            [
                'ref' => 'SLS0000000',
                'module' => 'sale',
                'table' => 'sales',
                'model' => 'Sale'
            ],
            [
                'ref' => 'INV000000',
                'module' => 'purchase',
                'table' => 'supplies',
                'model' => 'Supply'
            ],
            [
                'ref' => 'SIT0000',
                'module' => 'item',
                'table' => 'items',
                'model' => 'Item'
            ],
            [
                'ref' => 'CUS0000',
                'module' => 'customer',
                'table' => 'customers',
                'model' => 'Customer'
            ],
            [
                'ref' => 'SOR000000',
                'module' => 'sales_order',
                'table' => 'sales_orders',
                'model' => 'SalesOrder'
            ],
            [
                'ref' => 'SIV000000',
                'module' => 'supplier',
                'table' => 'suppliers',
                'model' => 'Supplier'
            ],
            [
                'ref' => 'SES000000',
                'module' => 'session',
                'table' => 'sessions',
                'model' => 'Session'
            ],
            [
                'ref' => 'IVR00000',
                'module' => 'variant',
                'table' => 'item_variants',
                'model' => 'ItemVariant'
            ]
        ]);
    }
}
