<?php

use App\ItemSupply;
use Illuminate\Database\Seeder;

class SuppliersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        factory('App\Supplier', 20)->create()
            ->each(function ($supplier) {
                $supplier->supplies()->createMany(
                    factory(App\Supply::class, 8)->make()->toArray()
                )->each(function ($supplies) {
                    $supplies->items()->createMany(
                        factory(ItemSupply::class, 5)->make()->toArray()
                    )->each(function ($i_supplies) {
                        $i_supplies->item()->insert(
                            factory(\App\Item::class)->make()->toArray()
                        );
                    });
                });
            });
    }
}
