{{--{{ HTML::style('css/table-style')}}--}}

{{--HTML::style('css/common.css');--}}

{{--<link rel="stylesheet" href="../../public/css/bootstrap.css">--}}
@include('styles.pdfs')
<style>
    .content {
        font-size: 14px !important;
    }
    .currency {
        font-weight: bolder;
        color: #005cbf;
    }
    .text-biggest {
        font-size: 18px !important;
    }
    .text-big {
        font-size: 20px;
    }
    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>
@include('reports.letterhead')

<div class="container-fluid text-center">
    <h3>{{__('reports.expected_expenditure.heading')}}</h3>
    <small>{{ \Carbon\Carbon::now()->toDayDateTimeString() }}</small>
    <hr>

    <br>
    <div class="content">
        <table class="table table-striped text-center">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">{{__('reports.table.employee_name')}}</th>
                <th scope="col">{{__('reports.table.actual_salary')}}</th>
                <th scope="col">{{__('reports.table.employee_debt')}}</th>
                <th scope="col">{{__('reports.table.employee_salary')}}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($expenditure as $exp)
                <tr>
                    <th>{{ $exp->iteration }}</th>
                    <td>{{ $exp->name}}</td>
                    <td>{{ number_format($exp->type->salary) . ' XAF'}}</td>
                    <td class="text-danger font-weight-bold">{{ number_format($exp->debts_count) . ' XAF'}}</td>
                    <td class="currency">{{ number_format($exp->type->salary - $exp->debts_count) . ' XAF'}}</td>
{{--                    <td class="currency">{{ number_format($payment->amount) . ' XAF' }}</td>--}}
{{--                    <td>{{ Carbon\Carbon::parse($exp->created_at)->toDayDateTimeString() }}</td>--}}
                </tr>
            @endforeach
            <tr>
                <th colspan="2" scope="row" class=" text-biggest text-lg-center text-center  up-line">{{__('reports.table.total')}}</th>
                <td class="text-lg font-weight-bold text-biggest up-line">{{  number_format($expenditure->total_payment) . ' XAF'}}</td>
                <td class="text-lg text-danger text-biggest font-weight-bold up-line">{{  number_format($expenditure->total_debt) . ' XAF'}}</td>
                <td class="text-lg text-biggest font-weight-bold up-line">{{  number_format($expenditure->total_payment - $expenditure->total_debt) . ' XAF'}}</td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
