{{--{{ HTML::style('css/table-style')}}--}}

{{--HTML::style('css/common.css');--}}

{{--<link rel="stylesheet" href="../../public/css/bootstrap.css">--}}
@include('styles.pdfs')
<style>
    .content {
        font-size: 10px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 8px !important;
    }

    .text-big {
        font-size: 18px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }

    .sum-row {
        background-color: moccasin !important;
    }

</style>
@include('reports.letterhead')
<div class="container-fluid text-center">
    <h3>{{__('reports.employee_debts.heading')}}</h3>
    @if(request()->start_date)
        <small>{{ \Carbon\Carbon::parse(request()->start_date)->toDateString() }}</small> -
    @endif
    @if(request()->end_date)
        <small>{{ \Carbon\Carbon::parse(request()->end_date)->toDateString() }}</small>
    @else
        <small>{{ \Carbon\Carbon::now()->toDayDateTimeString() }}</small>
    @endif
    <hr>
    <br>

    <div class="content">
        <table class="table table-striped">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">{{__('reports.table.employee')}}</th>
                <th scope="col">{{__('reports.table.amount')}}</th>
                <th scope="col">{{__('reports.table.message')}}</th>
                <th scope="col">{{__('reports.table.description')}}</th>
                <th scope="col">{{__('reports.table.paid')}}</th>
                <th scope="col">{{__('reports.table.balance')}}</th>
                <th scope="col">{{__('reports.table.date')}}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($data as $employee)
                @php
                    $total_debt = 0;
                    $total_paid = 0;
                    $total_balance = 0;
                @endphp

                @foreach($employee->debts as $debt)
                    @php
                        $total_debt += $debt->amount;
                        $total_paid += $debt->amount - $debt->balance;
                        $total_balance += $debt->balance;
                    @endphp
                    <tr class="font-weight-light">
                        <th>{{ $loop->iteration }}</th>
                        <th>{{ $employee->name }}</th>
                        <td class="text-primary ">{{ number_format($debt->amount) . ' XAF'}}</td>
                        <td>{{ $debt->type->name}}</td>
                        <td>{{ $debt->description}}</td>
                        <td class="text-success">{{ number_format($debt->amount - $debt->balance) . ' XAF'}}</td>
                        <td class="text-danger">{{ number_format($debt->balance) . ' XAF'}}</td>
                        <td>{{ Carbon\Carbon::parse($debt->date)->toFormattedDateString() }}</td>
                    </tr>
                @endforeach
                <tr class="sum-row">
                    <th colspan="2" scope="row"
                        class=" text-lg-center text-center  up-line text-biggest">{{ $employee->name }} {{__('reports.table.total')}}
                    </th>
                    <td colspan=""
                        class="text-lg font-weight-bold up-line text-primary text-biggest">{{  number_format($total_debt) . ' XAF'}}</td>
                    <td class="up-line"></td>
                    <td class="up-line"></td>
                    <td colspan=""
                        class="text-lg text-success font-weight-bold up-line text-biggest">{{  number_format($total_paid) . ' XAF'}}</td>
                    <td colspan=""
                        class="text-danger font-weight-bold up-line text-biggest">{{  number_format($total_balance) . ' XAF'}}</td>
                    <td class="up-line"></td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
</div>
