@include('styles.pdfs')
<style>
    body {
        font-size: xx-small;
    }

    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>

@includeIf('reports.letterhead')
<div class="container-fluid text-center">
{{--    {{$wh['name']}}--}}
    @if(isset($wh) && $wh)
        <h3>{{__('reports.inventory.heading'). ' of '. $wh['name']}}</h3>
{{--        <h3>{{"adsadsa". $wh['name']}}</h3>--}}
    @else
        <h3>{{__('reports.inventory.heading')}}</h3>
    @endif
{{--    <h3>{{__('reports.inventory.heading')}}</h3>--}}
    <small>{{Carbon\Carbon::now()->toDayDateTimeString()}}</small>
    <hr>
    <br>
    <div class="content">
        <table class="table table-striped text-center">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">{{__('reports.table.items')}}</th>
                <th scope="col">{{__('reports.table.quantity')}}</th>
                <th scope="col">{{__('reports.table.purchase_price')}}</th>
                @if(isset($expected_sales) && $expected_sales)
                    <th scope="col">{{__('reports.table.selling_price')}}</th>
                    <th scope="col">{{__('reports.table.expected_sales')}}</th>
                @endif
            </tr>
            </thead>
            <tbody>
            @foreach($inventories as $category => $inventory)
                {{--                        <h4>{$category}}</h4>--}}
                <tr>
                    <td class='text-info' colspan="{{ isset($expected_sales) && $expected_sales ? 6:4 }}">{{ $category }}</td>
                </tr>
                @foreach($inventory as $invent)
                    <tr>
                        <th>{{ $loop->iteration }}</th>
                        <td>{{$invent['name']}}</td>
                        <td>{{ number_format($invent['quantity']) }}</td>
                        <td class="font-weight-light">{{ number_format($invent['purchase_price']).' XAF'}}</td>
                        @if(isset($expected_sales) && $expected_sales)
                            <td class="font-weight-light currency">{{ number_format($invent['selling_price']).' XAF'}}</td>
                            <td class="font-weight-light text-primary">{{number_format($invent['selling_price'] * $invent['quantity']). ' XAF'}}</td>
                        @endif
                    </tr>
                @endforeach
            @endforeach
            </tbody>
        </table>

    </div>
</div>
