@include('styles.pdfs')
<style>
    body {
        font-size: xx-small;
    }

    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>
@includeIf('reports.letterhead')
@foreach($sales as $sale)
    <div class="container-fluid text-center">
        <h6>{{ __('sale.invoice.header')}} {{ $sale->code }}</h6>
        <div>Invoice date: {{ $sale->created_at->toDayDateTimeString() }}</div>
        <div>Cashier : {{ $sale->cashier ? $sale->cashier->name : '' }}</div>
        <div>Service : {{ $sale->service ? $sale->service->name : '' }}</div>
        <div>Customer : {{ $sale->customer ? $sale->customer->name : '' }}</div>
        <hr>
        <div class="content">
            <table class="table table-striped text-center">
                <thead style="background-color: #007bff; color: white;" class="border-dark">
                <tr>
                    <th scope="col">{{ __('sale.report.label.ref') }}</th>
                    <th scope="col">{{ __('sale.invoice.label.item') }}</th>
                    <th scope="col">{{ __('sale.invoice.label.quantity') }}</th>
                    <th scope="col">{{ __('sale.invoice.label.rate') }}</th>
                    <th scope="col">{{ __('sale.invoice.label.amount') }}</th>
                </tr>
                </thead>
                <tbody>
                @foreach($sale->items as $item)
                    <tr>
                        <td style="width: 12px;">{{ $loop->index + 1 }}</td>
                        <td style="text-align: left;">{{ $item->item->name }} - {{ $item->item->description }}</td>
                        <td> {{ $item->quantity }}</td>
                        <td>{{ number_format($item->unit_price) }}</td>
                        <td class="font-weight-light text-primary">{{ number_format($item->unit_price * $item->quantity) }}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            <h6 style="text-align: left;">Summary</h6>
            <table style="width: 30%;" class=" table table-striped">
                @php
                    $subtotal = array_sum(array_map(function ($itm) {return $itm['unit_price'] * $itm['quantity'];}, $sale->items->toArray()));
                @endphp
                <tr style="">
                    <th style="width: 50px">{{ __('sale.invoice.label.subtotal') }}</th>
                    <td style="width: 50px">{{ number_format($subtotal) }}</td>
                </tr>
                <tr style="">
                    <th style="width: 50px">{{ __('sale.invoice.label.discount') }}</th>
                    <td style="width: 50px">{{ number_format($sale->discount) }}</td>
                </tr>
                <tr style="">
                    <th style="width: 50px">{{ __('sale.report.label.paid') }}</th>
                    <td style="width: 50px">{{ number_format($sale->paid) }}</td>
                </tr>
                <tr style="background-color: #73aeff; font-weight: bold; ">
                    <th style="width: 50px">{{ __('sale.invoice.label.total') }}</th>
                    <td style="width: 50px">{{ number_format($subtotal - $sale->discount) }}</td>
                </tr>
            </table>
        </div>
    </div>
@endforeach
