@include('styles.pdfs')
<style>
    body {
        font-size: xx-small;
    }
    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>
@includeIf('reports.letterhead')
<div class="container-fluid text-center">
    <h5>{{__('sale.report.header')}}</h5>
    <h6>{{Carbon\Carbon::now()->toDayDateTimeString()}}</h6>
    <small>{{ __("sale.report.label.filter") }} : {{ $query }}</small>
    <hr>
    <div class="content">
        <table class="table table-striped text-center">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col">{{__('sale.report.label.ref')}}</th>
                <th scope="col">{{__('sale.report.label.customer')}}</th>
                <th scope="col">{{__('sale.report.label.items_count')}}</th>
                <th scope="col">{{__('sale.report.label.cashier')}}</th>
                <th scope="col">{{__('sale.report.label.service')}}</th>
                <th scope="col">{{__('sale.report.label.total')}}</th>
                <th scope="col">{{__('sale.report.label.paid')}}</th>
                <th scope="col">{{__('sale.report.label.debt')}}</th>
                <th scope="col">{{__('sale.report.label.discount')}}</th>
                <th scope="col">{{__('sale.report.label.date')}}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($sales as $sale)
                <tr>
                    <td>{{ $sale['code']}}</td>
                    <td> {{ $sale['customer']['name'] }}</td>
                    <td class="font-weight-light">{{ number_format($sale['items_count']) }}</td>
                    <td> {{ $sale['cashier']['name'] }}</td>
                    <td> {{ $sale['service']['name'] }}</td>
                    <td class="font-weight-light text-primary">{{ number_format($sale['total_price'])}}</td>
                    <td class="font-weight-light text-primary">{{ number_format($sale['paid'])}}</td>
                    <td class="font-weight-light text-primary">{{ number_format($sale['debt'])}}</td>
                    <td class="font-weight-light text-danger">{{ number_format($sale['discount'])}}</td>
                    <td>{{ Carbon\Carbon::parse($sale['created_at'])->toDateTimeString() }}</td>
                </tr>
            @endforeach
            <tr>
                <th colspan="5" scope="row" class="text-center  up-line">{{__('sale.report.label.totals')}}</th>
                <td class="font-weight-bold up-line">
                    {{  number_format($sales->sum('total_price')) }}
                </td>
                <td class="text-danger font-weight-bold up-line">
                    {{  number_format($sales->sum('paid')) }}
                </td>
                <td class="font-weight-bold up-line">
                    {{  number_format($sales->sum('debt')) }}
                </td>
                <td class="font-weight-bold up-line">
                    {{  number_format($sales->sum('discount')) }}
                </td>
                <td class="font-weight-bold up-line"></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
