@include('styles.pdfs')
<style>
    body {
        font-size: xx-small;
    }

    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>

@includeIf('reports.letterhead')
<div class="container-fluid text-center">
    <h5>Session report for {{ $names }}</h5>
    <small>{{ $start_date }}</small> - <small>{{ $end_date }}</small>
    <hr>
    <div class="content">
        <table class="table table-striped text-center" style="white-space: nowrap;">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col" style="width: 3px;">#</th>
                <th scope="col">{{__('reports.table.item')}}</th>
                <th scope="col">{{__('reports.table.quantity')}}</th>
                <th scope="col">{{__('reports.table.unit_price')}}</th>
                <th scope="col">{{__('reports.table.total')}}</th>
            </tr>
            </thead>
            <tbody>
            @php($total = 0)
            @foreach($cat_items as $category => $items)
                {{--                        <h4>{$category}}</h4>--}}
                <tr>
                    <td class='text-info' colspan="5">{{ $category }}</td>
                </tr>
                @php($subtotal = 0)
                @foreach($items as $item)
                    <tr>
                        <th>{{ $loop->iteration }}</th>
                        <td>{{$item['name']}}</td>
                        <td>{{ number_format($item['qty']) }}</td>
                        <td class="font-weight-light">{{ number_format($item['unit_price']).' XAF'}}</td>
                        <td class="font-weight-light">{{ number_format($item['total']).' XAF'}}</td>
                    </tr>
                    @php($subtotal += $item['total'])
                @endforeach
                <tr>
                    <td class='text-info' style="text-align: center;">Subtotal</td>
                    <td class='text-info' style="text-align: right;"
                        colspan="4">{{ number_format($subtotal) . 'XAF' }}</td>
                </tr>
                @php($total += $subtotal)
            @endforeach
            <tr>
                <td class='text-info' style="text-align: center;">Total</td>
                <td class='text-info' style="text-align: right;" colspan="4">{{ number_format($total) . 'XAF' }}</td>
            </tr>
            <tr></tr>
            <tr>
                <td class='text-info' style="text-align: center;">Discount(s)</td>
                <td class='text-info' style="text-align: right;" colspan="4">{{ number_format($discount) . 'XAF' }}</td>
            </tr>
            <tr></tr>
            <tr>
                <td class='text-info' style="text-align: center;">Total Payable</td>
                <td class='text-info' style="text-align: right;"
                    colspan="4">{{ number_format($total - $discount) . 'XAF' }}</td>
            </tr>
            <tr>
                <td style="text-align: center;" colspan="5">Payment Methods</td>
            </tr>
            @php($total_paid = 0)
            @foreach($payment_methods as $name => $amount)
                <tr>
                    <td></td>
                    <td style="text-align: center;">{{ $name }}</td>
                    <td></td>
                    <td style="text-align: center;">{{ $amount }}</td>
                    <td></td>
                </tr>
                @php($total_paid += $amount)
            @endforeach
            <tr>
                <td class='text-info' style="text-align: center;">Total Paid</td>
                <td class='text-info' style="text-align: right;" colspan="4">{{ $total_paid }}</td>
            </tr>
            <tr>
                <td colspan="5">{{ auth()->user()->name }}</td>
            </tr>
            <tr>
                <td colspan="5">{{ date('D Y-m-d H:i:sa') }}</td>
            </tr>
            </tbody>
        </table>

    </div>
</div>
