@include('styles.pdfs')
<style>
    body {
        font-size: xx-small;
    }
    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
    {{$total_cost = 0}}
    {{$total_paid = 0}}
    {{$total_owed = 0}}
    @foreach($supplies as $supply)
        {{$total_cost += $supply->total_cost}}
        {{$total_paid += $supply->paid}}
        {{$total_owed += $supply->owed}}
    @endforeach
</style>
@includeIf('reports.letterhead')
<div class="container-fluid text-center">
    <h3>{{__('reports.supplies.heading')}}</h3>
    <small>{{Carbon\Carbon::now()->toDayDateTimeString()}}</small>
    <hr>
    <br>
    <div class="content">
        <table class="table table-striped text-center">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">{{__('reports.table.supplier_name')}}</th>
                <th scope="col">{{__('reports.table.items')}}</th>
                <th scope="col">{{__('reports.table.total')}}</th>
                <th scope="col">{{__('reports.table.paid')}}</th>
                <th scope="col">{{__('reports.table.owed')}}</th>
                <th scope="col">{{__('reports.table.date')}}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($supplies as $supply)
                <tr>
                    <th>{{ $loop->iteration }}</th>
                    <td>{{ $supply->supplier->name}}</td>
                    <td>
                        {!!  implode(", ", array_map(function ($item) {
                            return $item['item']['name'] . "(<span class='text-info'>{$item['quantity']}</span>)";
                        }, $supply->items->toArray())) !!}
                    </td>
                    <td class="font-weight-light">{{ number_format($supply->total_cost) . ' XAF'}}</td>
                    <td class="font-weight-light text-primary">{{ number_format($supply->paid) . ' XAF'}}</td>
                    <td class="font-weight-lighter currency text-danger">{{ number_format($supply->owed) . ' XAF'}}</td>
                    <td>{{ Carbon\Carbon::parse($supply->created_at)->toFormattedDateString() }}</td>
                </tr>
            @endforeach
            <tr>
                <th colspan="3" scope="row" class="text-center  up-line">{{__('reports.table.total')}}</th>
                <td class="font-weight-bold up-line">{{  number_format($total_cost) . ' XAF'}}</td>
                <td class="text-danger font-weight-bold up-line">{{  number_format($total_paid) . ' XAF'}}</td>
                <td class="font-weight-bold up-line">{{  number_format($total_owed) . ' XAF'}}</td>
                <td class="font-weight-bold up-line"></td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
