<?php echo $__env->make('styles.pdfs', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<style>
    body {
        font-size: xx-small;
    }

    .content {
        font-size: 8px !important;
    }

    .currency {
        font-weight: bolder;
        color: #005cbf;
    }

    .text-biggest {
        font-size: 18px !important;
    }

    .text-big {
        font-size: 12px;
    }

    .text-small {
        font-size: 9px;
    }

    .up-line {
        /*border-style: solid;*/
        border-top-color: #007cbf !important;
    }
</style>

<?php if ($__env->exists('reports.letterhead')) echo $__env->make('reports.letterhead', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="container-fluid text-center">
    <h5>Session report for <?php echo e($names); ?></h5>
    <small><?php echo e($start_date); ?></small> - <small><?php echo e($end_date); ?></small>
    <hr>
    <div class="content">
        <table class="table table-striped text-center" style="white-space: nowrap;">
            <thead class="bg-transparent border-dark">
            <tr>
                <th scope="col" style="width: 3px;">#</th>
                <th scope="col"><?php echo e(__('reports.table.item')); ?></th>
                <th scope="col"><?php echo e(__('reports.table.quantity')); ?></th>
                <th scope="col"><?php echo e(__('reports.table.unit_price')); ?></th>
                <th scope="col"><?php echo e(__('reports.table.total')); ?></th>
            </tr>
            </thead>
            <tbody>
            <?php ($total = 0); ?>
            <?php $__currentLoopData = $cat_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                
                <tr>
                    <td class='text-info' colspan="5"><?php echo e($category); ?></td>
                </tr>
                <?php ($subtotal = 0); ?>
                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <th><?php echo e($loop->iteration); ?></th>
                        <td><?php echo e($item['name']); ?></td>
                        <td><?php echo e(number_format($item['qty'])); ?></td>
                        <td class="font-weight-light"><?php echo e(number_format($item['unit_price']).' XAF'); ?></td>
                        <td class="font-weight-light"><?php echo e(number_format($item['total']).' XAF'); ?></td>
                    </tr>
                    <?php ($subtotal += $item['total']); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td class='text-info' style="text-align: center;">Subtotal</td>
                    <td class='text-info' style="text-align: right;"
                        colspan="4"><?php echo e(number_format($subtotal) . 'XAF'); ?></td>
                </tr>
                <?php ($total += $subtotal); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td class='text-info' style="text-align: center;">Total</td>
                <td class='text-info' style="text-align: right;" colspan="4"><?php echo e(number_format($total) . 'XAF'); ?></td>
            </tr>
            <tr></tr>
            <tr>
                <td class='text-info' style="text-align: center;">Discount(s)</td>
                <td class='text-info' style="text-align: right;" colspan="4"><?php echo e(number_format($discount) . 'XAF'); ?></td>
            </tr>
            <tr></tr>
            <tr>
                <td class='text-info' style="text-align: center;">Total Payable</td>
                <td class='text-info' style="text-align: right;"
                    colspan="4"><?php echo e(number_format($total - $discount) . 'XAF'); ?></td>
            </tr>
            <tr>
                <td style="text-align: center;" colspan="5">Payment Methods</td>
            </tr>
            <?php ($total_paid = 0); ?>
            <?php $__currentLoopData = $payment_methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name => $amount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td></td>
                    <td style="text-align: center;"><?php echo e($name); ?></td>
                    <td></td>
                    <td style="text-align: center;"><?php echo e($amount); ?></td>
                    <td></td>
                </tr>
                <?php ($total_paid += $amount); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td class='text-info' style="text-align: center;">Total Paid</td>
                <td class='text-info' style="text-align: right;" colspan="4"><?php echo e($total_paid); ?></td>
            </tr>
            <tr>
                <td colspan="5"><?php echo e(auth()->user()->name); ?></td>
            </tr>
            <tr>
                <td colspan="5"><?php echo e(date('D Y-m-d H:i:sa')); ?></td>
            </tr>
            </tbody>
        </table>

    </div>
</div>
<?php /**PATH /Users/unescoimagebank/Documents/Projects/Salamanda/mobile_api/resources/views/reports/session_report.blade.php ENDPATH**/ ?>